<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pagos', function (Blueprint $table) {
            $table->id();
            $table->integer('plans_id');
            $table->integer('folio');
            $table->integer('concepto');
            $table->integer('beca');
            $table->decimal('monto', 8, 2);
            $table->decimal('pago', 8, 2);
            $table->date('fecha_pago');
            $table->dateTime('fecha_pagado')->nullable();
            $table->unsignedBigInteger('user_id');
            $table->unsignedBigInteger('asignacion');
            $table->integer('status');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('pagos');
    }
};
